package projet;

public class LatexPageRender implements PageRender {

    @Override
    public String getHeader(String titrePage) {
        return "\\documentclass{article}\n"
        		+ "\\usepackage[utf8]{inputenc}\n"
        		+ "\\usepackage{hyperref}\n"
        		+ "\\begin{document}\n"
		        + "\\title{" + titrePage + "}\n"
		        + "\\maketitle\n";
    }

    @Override
    public String getFooter() {
        return "\\end{document}\n";
    }
}
